summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBernardo Meurer <bernardo@standard.ai>2019-09-16 13:39:33 -0700
committerMichał Górny <mgorny@gentoo.org>2019-09-20 10:07:48 +0200
commite9bc64b0dfaa3ae47d830365a3a2af3539ffeaed (patch)
tree50c59af2bb3baf4a15d450acca34372e0467461a
parentapp-editors/neovim: yank 0.3.4-r1 (diff)
downloadgentoo-e9bc64b0dfaa3ae47d830365a3a2af3539ffeaed.tar.gz
gentoo-e9bc64b0dfaa3ae47d830365a3a2af3539ffeaed.tar.bz2
gentoo-e9bc64b0dfaa3ae47d830365a3a2af3539ffeaed.zip
dev-libs/libvterm: bump 0.1
Closes: https://bugs.gentoo.org/694578 Package-Manager: Portage-2.3.76, Repoman-2.3.17 Signed-off-by: Bernardo Meurer <bernardo@standard.ai> Signed-off-by: Michał Górny <mgorny@gentoo.org>
-rw-r--r--dev-libs/libvterm/Manifest1
-rw-r--r--dev-libs/libvterm/libvterm-0.1.ebuild42
2 files changed, 43 insertions, 0 deletions
diff --git a/dev-libs/libvterm/Manifest b/dev-libs/libvterm/Manifest
index 7e6e12617d3..11e7aa1d756 100644
--- a/dev-libs/libvterm/Manifest
+++ b/dev-libs/libvterm/Manifest
@@ -1,3 +1,4 @@
DIST libvterm-0.0_pre20160305.tar.xz 665672 BLAKE2B 3f86ada9967f8c5e085ef324330082858c27b07583af2fa4946f74f3edf3bc697cb3335108df89a6de7f058b9649e82fc85b133084c0c8212a98e5f8adab6ce8 SHA512 7e9a44ae679b8c7216f019c0c6b90f1b762f051f58fdb349cfa2a3b2df606940d891547fbc24f05ff32a33e4749242ce8ee2af214b7b3623b83a9f4b9fd53585
DIST libvterm-0.0_pre20171004.tar.xz 618644 BLAKE2B 07ca64652e09825b5ddf644b962eddcb5c3c97b099da853f091d784a30b5740b77d0f92f8047f8387804cd9ad98f1342ee989cca648bda27260659eb130a2245 SHA512 96b4b113046797a14287f13f39c05da3fe1d52211de44cc11d44848563fa9c234d53a59b66af27721118c2267ad02c9c5b3f6d5be8e1769c708ed90a79b1dcd8
DIST libvterm-0.0_pre20181126.tar.gz 65524 BLAKE2B 00ad4cbc60739aae173e86ae7aa357869f815658c3c13e04808841e5e1e847732046e212153d4e4d49bbddcd5c661cdb7f7f962e6fd0a305a534bbca074a4ca6 SHA512 9f55c9a00807e46c1c6157fc372d3cad575f2574ac8b3abc82acd26ef6425166ac18ee1b7d77a9dfc617b14bc9eb7dc3a364cef5c0bf6c4951dc755d9c6c5ce0
+DIST libvterm-0.1.tar.gz 69960 BLAKE2B 27849727b8fec8b807c151a035286f3f4ee0464995271771da190b270a4b6c4d4258f5635e4a14418d6ff3fae981f30d2c9bdeb5c7b3f0ca74eed3a99642e354 SHA512 35317b6998764336edca6a4a011714f87853996a43dbd907d9a73013d9169f9ff39fbeaa405fd0504830b302518ead1f9b6c00fdfc46ae8f7e51cff1a5464dc7
diff --git a/dev-libs/libvterm/libvterm-0.1.ebuild b/dev-libs/libvterm/libvterm-0.1.ebuild
new file mode 100644
index 00000000000..7109c9ce442
--- /dev/null
+++ b/dev-libs/libvterm/libvterm-0.1.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit flag-o-matic
+
+DESCRIPTION="An abstract library implementation of a VT220/xterm/ECMA-48 terminal emulator"
+HOMEPAGE="http://www.leonerd.org.uk/code/libvterm/"
+SRC_URI="https://launchpad.net/${PN}/trunk/v${PV}/+download/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE=""
+
+BDEPEND="
+ dev-lang/perl
+ sys-devel/libtool
+ virtual/pkgconfig
+"
+DEPEND=""
+RDEPEND="!dev-libs/libvterm-neovim"
+
+src_prepare() {
+ default
+ # Remove broken test
+ rm "t/63screen_resize.test" || die
+}
+
+src_compile() {
+ append-cflags -fPIC
+ emake VERBOSE=1 PREFIX="${EPREFIX}/usr" LIBDIR="${EPREFIX}/usr/$(get_libdir)"
+}
+
+src_install() {
+ emake \
+ VERBOSE=1 \
+ PREFIX="${EPREFIX}/usr" \
+ LIBDIR="${EPREFIX}/usr/$(get_libdir)" \
+ DESTDIR="${D}" install
+ find "${D}" -name '*.la' -delete || die "Failed to prune libtool files"
+}